/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<kdeconnectdeclarativeplugin.h>)
#  include <kdeconnectdeclarativeplugin.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_kdeconnect()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<AbstractPointerLockerForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<AbstractPointerLockerForeign *>().id();
    qmlRegisterTypesAndRevisions<BatteryDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<BatteryDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<ClipboardDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<ClipboardDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<ClipboardDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<CommandsModelForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<CommandsModelForeign *>().id();
    qmlRegisterTypesAndRevisions<ConnectivityReportDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<ConnectivityReportDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<DBusAsyncResponseForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<DBusAsyncResponseForeign *>().id();
    qmlRegisterTypesAndRevisions<DaemonDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<DaemonDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<DeviceBatteryDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<DeviceConnectivityReportDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<DeviceDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<DeviceDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<DeviceDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<DevicesModelForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<DevicesModelForeign *>().id();
    qmlRegisterEnum<DevicesModel::ModelRoles>("DevicesModel::ModelRoles");
    qmlRegisterEnum<DevicesModel::StatusFilterFlag>("DevicesModel::StatusFilterFlag");
    qmlRegisterEnum<DevicesModel::StatusFilterFlags>("DevicesModel::StatusFilterFlags");
    qmlRegisterEnum<DevicesModel::StatusFilterFlag>("DevicesModel::StatusFilterFlag");
    qmlRegisterTypesAndRevisions<DevicesPluginFilterProxyModelForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<DevicesPluginFilterProxyModelForeign *>().id();
    qmlRegisterTypesAndRevisions<DevicesSortProxyModelForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<DevicesSortProxyModelForeign *>().id();
    qmlRegisterTypesAndRevisions<FindMyPhoneDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<FindMyPhoneDeviceDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<FindMyPhoneDeviceDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<KdeConnectPluginConfigForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<KdeConnectPluginConfigForeign *>().id();
    qmlRegisterTypesAndRevisions<LockDeviceDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<LockDeviceDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<LockDeviceDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<MprisDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<MprisDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<MprisDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<NotificationsModelForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<NotificationsModelForeign *>().id();
    qmlRegisterTypesAndRevisions<OpenConfigForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<OpenConfigForeign *>().id();
    qmlRegisterTypesAndRevisions<PluginModelForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<PluginModelForeign *>().id();
    qmlRegisterEnum<PluginModel::ExtraRoles>("PluginModel::ExtraRoles");
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<RemoteCommandsDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<RemoteCommandsDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<RemoteCommandsDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<RemoteCommandsModelForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<RemoteCommandsModelForeign *>().id();
    qmlRegisterTypesAndRevisions<RemoteControlDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<RemoteKeyboardDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<RemoteKeyboardDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<RemoteKeyboardDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<RemoteSinksModelForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<RemoteSinksModelForeign *>().id();
    qmlRegisterTypesAndRevisions<RemoteSystemVolumeDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<RemoteSystemVolumeDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<RemoteSystemVolumeDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<SftpDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<SftpDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<SftpDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<ShareDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<ShareDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<ShareDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<SmsDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<SmsDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<SmsDbusInterfaceForeign *>().id();
    qmlRegisterTypesAndRevisions<VirtualmonitorDbusInterfaceFactory>("org.kde.kdeconnect", 1);
    qmlRegisterTypesAndRevisions<VirtualmonitorDbusInterfaceForeign>("org.kde.kdeconnect", 1);
    QMetaType::fromType<VirtualmonitorDbusInterfaceForeign *>().id();
    QT_WARNING_POP
    qmlRegisterModule("org.kde.kdeconnect", 1, 0);
}

static const QQmlModuleRegistration orgkdekdeconnectRegistration("org.kde.kdeconnect", qml_register_types_org_kde_kdeconnect);
